Support

If you have a problem or need to report a bug please email : support@dsprobotics.com

There are 3 sections to this support area:

DOWNLOADS: access to product manuals, support files and drivers

HELP & INFORMATION: tutorials and example files for learning or finding pre-made modules for your projects

USER FORUMS: meet with other users and exchange ideas, you can also get help and assistance here

NEWBIES: DO NOT USE 3.09 BETAS!!

For general discussion related FlowStone

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby RJHollins » Sun Mar 24, 2019 2:28 pm

Spogg wrote:@Michael: I requested ages ago that the betas are removed for download, but they haven’t, which is why I bump this topic regularly.

@RJ: What were the Ruby issues?

Cheers

Spogg

Hi Spogg ...

I'm still dealing with them :|

I'll see an error message in the Ruby monitor section ... yet when I 'run' my schematic ... it all works.

Checking the various versions, it was listed that RUBY had some fix in 3.07 ... so I tried it.

I never rule out User Error, of course. For example, in one of my modules, I see this error message:

NoMethodError: undefined method '/' for "":string

Strange ... but the RUBY module does calculate as intended.
RJHollins
 
Posts: 1495
Joined: Thu Mar 08, 2012 7:58 pm

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby deraudrl » Fri Jan 31, 2020 10:58 pm

Note that Maik is still using "3.0.9b2" as the base version string for the FS4 alphas on Slack, with some additional versioning text appended to that name.

(I'm just pointing out that these are NOT the same thing as the several-year-old "3.0.9 Beta 2" download on dsprobotics.com, despite what the name might imply.)
I keep a pair of oven mitts next to my computer so I don't get a concussion from slapping my forehead while I'm reading the responses to my questions.
deraudrl
 
Posts: 215
Joined: Thu Nov 28, 2019 9:12 pm
Location: SoCal

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby ErvSoft » Sun Jan 03, 2021 4:53 am

I have been using FlowStone 3.0.8 and have had trouble getting my Vsti to work, in fact they are not recognized by DAWS, so I will switch to 3.0.6
User avatar
ErvSoft
 
Posts: 31
Joined: Sun Jul 31, 2016 11:59 pm
Location: Chile

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby Spogg » Sun Jan 03, 2021 7:32 am

ErvSoft wrote:I have been using FlowStone 3.0.8 and have had trouble getting my Vsti to work, in fact they are not recognized by DAWS, so I will switch to 3.0.6


Interesting.

But I must say that I used 3.08.1 for quite some time (a few years) until I was persuaded that 3.06 would be better. The point is, I made quite a few plugins with 3.08.1 and I never had a problem with them not being recognised by a DAW. So I suspect you may have another issue and that changing to 3.06 will probably not solve that.

Why not create a topic, share a schematic and we can maybe see what the problem is (assuming 3.06 doesn’t fix it)?
User avatar
Spogg
 
Posts: 2869
Joined: Thu Nov 20, 2014 4:24 pm
Location: Birmingham, England

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby ErvSoft » Wed Jan 20, 2021 5:05 am

@spogg :oops: I just did something and I am experimenting to see if the following happens to me again, if it happens to me again, I will create a topic about this, I tell:

this past week I started getting this error while working on FS 3.0.6 :
2021-01-18 01_46_46-Microsoft Visual C++ Runtime Library Error.jpg
Visual C++ Runtime error
2021-01-18 01_46_46-Microsoft Visual C++ Runtime Library Error.jpg (16.25 KiB) Viewed 13368 times


and today it happened again so i uninstalled all Visual c ++ Runtime versions and reinstalled them, upgraded with windows update and so far FS 3.0.6 is working fine,
(this is the installer i used to reinstall visual c ++ versions):
2021-01-20 00_55_32-All in One Runtimes - Download - ComputerBase.jpg
the aio-runtimes v2.5.0
2021-01-20 00_55_32-All in One Runtimes - Download - ComputerBase.jpg (55.88 KiB) Viewed 13368 times


but if any error or failure reappears, I will see to post it, to find a solution,

I am also looking forward to working with FS version 3.0.8 and 3.0.9, to see if reinstalling Visual C ++ fixed the crash issues I had earlier.

as soon as I finish my project in 3.0.6, I will experiment with the other versions : )
CosmicaOniricav01..jpg
my project <3
CosmicaOniricav01..jpg (51.29 KiB) Viewed 13368 times
User avatar
ErvSoft
 
Posts: 31
Joined: Sun Jul 31, 2016 11:59 pm
Location: Chile

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby Spogg » Tue Mar 09, 2021 7:33 am

Bumping the topic!
User avatar
Spogg
 
Posts: 2869
Joined: Thu Nov 20, 2014 4:24 pm
Location: Birmingham, England

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby billv » Wed Mar 31, 2021 3:42 am

Bump :D
BV MUSIC SYDNEY AUSTRALIA-Songwriting & Software Development.
http://users.tpg.com.au/billv
billv
 
Posts: 988
Joined: Tue Aug 31, 2010 3:34 pm
Location: Australia

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby pwesynthmaker » Sat Apr 03, 2021 4:50 pm

The following is an alternative freeware AIO
Microsoft Runtime Libraries installer ...
This is the 'American English' version.

Win 10, 8, 7 (32-bit & 64-bit)
Visual C++ Redistributable Runtimes All-in-One Mar 2021

Download Link:
https://www.techpowerup.com/download/vi ... ll-in-one/

FIlename:
Visual-C-Runtimes-All-in-One-Mar-2021.zip

First, 'right mouse click' and 'unblock' file ... Unzip file and run ('double-click')
FIlename: install_all.bat (do not run as administrator)
https://www.invntefx.com/ssl/_invntefxf ... fstone.htm
Inventor eFX Technology FlowStone WebPage

https://www.invntefx.com/
Inventor eFX Technology
LOGIN
Username: viewer
Password: #1Password
User avatar
pwesynthmaker
 
Posts: 51
Joined: Fri Feb 12, 2016 7:18 pm

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby Spogg » Fri Jul 23, 2021 7:43 am

Bumped!

Also if you’re new here we have a policy of us not posting in the Off Topic section. Every day I see a huge amount of spam in Off Topic. A few days ago I had to delete 99 pages of it! :o :twisted:

So all messages will be assumed to be spam because I simply don’t have time to look at them all.

If you have something you feel is not related to FlowStone but might be of interest to our community please post it in General and it would be nice if you put [Off Topic] in the subject line.

Thank you!

Spogg (moderator).
User avatar
Spogg
 
Posts: 2869
Joined: Thu Nov 20, 2014 4:24 pm
Location: Birmingham, England

Re: NEWBIES: DO NOT USE 3.09 BETAS!!

Postby billv » Wed Sep 08, 2021 9:38 am

Bump :D
BV MUSIC SYDNEY AUSTRALIA-Songwriting & Software Development.
http://users.tpg.com.au/billv
billv
 
Posts: 988
Joined: Tue Aug 31, 2010 3:34 pm
Location: Australia

Previous

Return to General

Who is online

Users browsing this forum: No registered users and 13 guests

cron